---
search:
  tags:
    - Content
    - POST
seo:
  description: >-
    Create a form. Reference for the POST /shops/{shop_id}/forms endpoint in the
    Bolder API v2.
sidebar:
  label: Create a form
  badge: POST
title: Create a form
type: openapi-operation
---
`POST /shops/{shop_id}/forms`

**Request body** (`application/json`, required)

- `title` (string, required)
- `body` (string) — Intro text shown above the form fields
- `slug` (string)
- `description` (string)
- `visible` (boolean)
- `format` (string) — \`markdown\` is accepted as input and converted to \`html\` before saving; the stored format will be \`html\`.
- `has_address_fields` (boolean)
- `success_message` (string)

Request body example:

```json
{
  "title": "Contact Us",
  "has_address_fields": false
}
```

**Responses**

- `201` — Form created
- `422` — Validation error

Response example, 201:

```json
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": 0,
  "shop_id": 0,
  "title": "string",
  "slug": "string",
  "body": "string",
  "description": "string",
  "visible": true,
  "format": "string",
  "has_address_fields": true,
  "success_message": "string",
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z"
}
```
